Taslak Etiket

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Label and the translation is 85% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Previous: Draft CubicBezCurve.svg CubicBezCurve
Next: Move Draft Move.svg Arrow-right.svg

Draft Label.svg Etiket

Menü konumu
Taslak → Etiket
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
D L
Versiyonda tanıtıldı
-
Ayrıca bkz
Metin, Şekil dizesi


Tanım

Etiket aracı, 2 segmentli bir lider satırı ve bir ok içeren çok satırlı bir metin kutusu ekler. Komutu başlatırken bir nesne veya bir alt eleman (yüz, kenar veya tepe) seçilirse, Etiket, konum, uzunluk, alan, hacim veya malzeme de dahil olmak üzere seçilen öğenin belirli bir niteliğini görüntülemek için yapılabilir.

Oksuz daha basit bir metin elemanı eklemek için Metin kullanın. Düz metin şekilleri oluşturmak için Şekil dizesi ile Parça Çıkar kullanın.

Draft Label example.jpg

Farklı yönelimleri, ipucu sembolleri ve bilgileri içeren çeşitli etiketler


Nasıl Kullanılır

  1. Draft Label.png Etiket düğmesine basın veya D ardından L tuşlarına basın.
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu nokta hedefi gösterir (ok başı). Bu herhangi bir yerde olabilir, bir unsur olması gerekmez.
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu nokta yatay veya dikey bir liderin başlangıcını gösterir.
  4. 3D görünümünde üçüncü bir noktaya tıklayın veya bir koordinat yazın ve 16px Nokta ekle düğmesine basın. Bu nokta metnin temel noktasını gösterir.

Not: yatay düz parçanın yönü, sağa veya sola doğru, metni otomatik olarak ters yöne hizalar. Lider dikey olarak yukarı çıkarsa, metin sola hizalanır; dikey olarak aşağı inerse, sağa hizalanır.

Not 2: bir nesneyi veya bir alt öğeyi (köşe, kenar veya yüz) önceden seçerek, araç düğmesine basmadan önce, etiket parametrik hale gelir, yani hangi nesneyi hatırlayacağını bağlı ve bu nesnenin belirli bir özelliğini görüntüleyebilecek. Nesnenin özellikleri daha sonra değişirse, etiket görüntülenen bilgileri ayarlayacaktır.

Seçenekler

  • "Özel", "Ad", "Etiket", "Konum", "Uzunluk", "Alan", "hacim" dahil "Görüntülenecek bilgi türünü seçmek için Label type tıklayın. "başlık" ve "Malzeme" olarak etiketleyin.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Etiketi yerleştirirken, Yakalama noktanızı mesafeden bağımsız olarak en yakın çıtçıt konumuna zorlamak için Ctrl tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız.

Özellikler

Veri

  • DATA Label Type: bu etiket tarafından gösterilen bilgilerin türünü belirtir (aşağıya bakın).
  • DATA Custom Text: DATA Label Type "Özel" olarak ayarlandığında veya etiket parametrik olmadığında görüntülenecek metin bloğunu belirtir. Metin dizelerin bir listesi olarak verilmiştir; listedeki her öğe, virgülle ayrılmış olarak, yeni bir metin satırı belirtir.
  • DATA Text: (salt okunur), DATA Label Type 'e bağlı olarak etiket tarafından görüntülenen gerçek metni gösterir.
  • DATA Target Point: liderin ipucunun konumunu belirtir.
  • DATA Straight Direction: Liderin düz segmentinin yönünü yatay veya dikey olarak belirtir.
  • DATA Straight Distance: metnin taban noktasından başlayarak satırın düz bölümünün uzunluğunu belirtir. Mesafe pozitifse, lider metnin sağ tarafından başlar ve metin sağa hizalanır; Aksi takdirde, lider metnin solundan başlar ve metin sola hizalanır.
  • DATA Position: metin bloğunun ilk satırının taban noktasını belirtir; aynı zamanda liderin nasıl çizildiğini de etkiler.
  • DATA Angle: metin bloğunun ilk satırının taban çizgisinin dönüşünü belirtir; ayrıca liderin nasıl çizileceğini de etkiler, çünkü artık yatay veya dikey olmayacaktır.
  • DATA Axis: döndürme için kullanılacak ekseni belirtir.

Etiket türleri

  • Custom:, DATA Custom Text içeriğini görüntüler.
  • Name: hedef nesnenin dahili adını görüntüler; iç ad, yaratılış zamanında nesneye atanır ve nesnenin varlığı boyunca sabit kalır.
  • Label: hedef nesnenin etiketini görüntüler; Nesnenin etiketi kullanıcı tarafından herhangi bir zamanda değiştirilebilir.
  • Position:, hedef nesnenin taban noktasının, hedef köşenin veya varsa, hedef alt öğenin kütle merkezinin koordinatlarını görüntüler.
  • Length:, varsa, hedef alt öğenin uzunluğunu gösterir.
  • Area:, eğer varsa, hedef alt öğenin alanını gösterir.
  • Volume:, eğer varsa, hedef nesnenin hacmini gösterir.
  • Tag:, örneğin Mimari ile oluşturulan nesneler gibi bir özelliğe sahipse, hedef nesnenin Tag özniteliğini görüntüler.
  • Material:, hedef nesnenin böyle bir özelliği varsa, hedef nesnenin malzemesinin etiketini görüntüler.

Görünüm

  • VIEW Metin Yazı Tipi: metni çizmek için kullanılacak yazı tipini belirtir. "Arial" gibi bir font adı, "sans", "serif" veya "mono" gibi bir varsayılan stil, "Arial, Helvetica, sans" gibi bir aile veya "gibi bir stil içeren bir ad olabilir. Arial: "Kalın. Belirtilen font sistemde bulunmuyorsa, bunun yerine genel olan kullanılır.
  • VIEW Text Size: metnin boyutunu belirtir. Etiket nesnesi ağaç görünümünde oluşturulmuşsa ancak 3D görünümünde hiçbir metin görünmüyorsa, metnin boyutunu görünene kadar artırın.
  • VIEW Text Alignment: metnin taban çizgisinin öncüye göre dikey olarak hizalanmasını belirtir. Üst, orta veya alt olabilir.
  • VIEW Text Color: Bir RGB demetindeki metnin rengini belirtir (R, G, B).
  • VIEW Line Width: liderin genişliğini belirtir.
  • VIEW Çizgi Rengi: liderin rengini belirtir.
  • VIEW Arrow Size: liderin ucunda görüntülenen sembolün boyutunu belirtir.
  • VIEW Arrow Type: liderin ucunda görüntülenen, nokta, daire, ok veya kene olabilecek sembolün türünü belirtir.
  • VIEW Frame: "Dikdörtgen" ise, metnin etrafına bir çerçeve çizer.
  • VIEW Line: True ise, lider satır görüntülenecektir; Aksi halde, sadece baştaki metin ve sembol gösterilecektir.
  • VIEW Display Mode: "3B metin" ise, metin başlangıçta XY düzleminde olacak şekilde sahne eksenlerine hizalanır; "2B metin" ise, metin her zaman kameraya dönük olacaktır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Etiket aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Başlığı targetpoint işaret eden ve DocumentObject (olması gereken) target nesnesine bağlanan bir Label nesnesi oluşturur ( Editor: veya SelectionObject? Bu belirsizdir).
  • direction "Yatay", "Dikey" veya "Özel" dir.
  • distance, metnin taban noktasından liderine olan mesafedir.
  • labeltype "Özel", "Ad", "Etiket", "Konum", "Uzunluk", "Alan", "Cilt", "Etiket" veya "Malzeme" den biridir.
  • Bir placement verilirse, metnin taban noktası için kullanılır; Aksi halde, metin başlangıçta oluşturulur.

Özel metni CustomText özelliğinin üzerine yazarak değiştirin. Dizelerin bir listesi kullanılabilir; her eleman kendi satırında gösterilecektir.

Label görünüm özellikleri, niteliklerinin üzerine yazılarak değiştirilebilir; örneğin, ViewObject.TextSize üzerine, yeni boyutun milimetre cinsinden üzerine yazın.

Örnek:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()